CustomerTransaction
Create a transaction for a customer
POST
/
v1
/
customers
/
{id}
/
transactions
Create a transaction for a customer
curl --request POST \
--url https://dev.flextell.ai/api/v1/customers/{id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"transaction_date": "2023-11-07T05:31:56Z",
"amount": 1.01,
"currency_id": 123,
"exchange_rate": 1,
"description": "<string>",
"invoice_number": "<string>",
"account_id": 123,
"is_installment": true,
"installment_count": 7,
"first_due_date": "2023-11-07T05:31:56Z",
"installments": [
{
"amount": 1.01,
"due_date": "2023-11-07T05:31:56Z",
"description": "<string>"
}
]
}
'import requests
url = "https://dev.flextell.ai/api/v1/customers/{id}/transactions"
payload = {
"transaction_date": "2023-11-07T05:31:56Z",
"amount": 1.01,
"currency_id": 123,
"exchange_rate": 1,
"description": "<string>",
"invoice_number": "<string>",
"account_id": 123,
"is_installment": True,
"installment_count": 7,
"first_due_date": "2023-11-07T05:31:56Z",
"installments": [
{
"amount": 1.01,
"due_date": "2023-11-07T05:31:56Z",
"description": "<string>"
}
]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
transaction_date: '2023-11-07T05:31:56Z',
amount: 1.01,
currency_id: 123,
exchange_rate: 1,
description: '<string>',
invoice_number: '<string>',
account_id: 123,
is_installment: true,
installment_count: 7,
first_due_date: '2023-11-07T05:31:56Z',
installments: [{amount: 1.01, due_date: '2023-11-07T05:31:56Z', description: '<string>'}]
})
};
fetch('https://dev.flextell.ai/api/v1/customers/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"id": 123,
"tenant_id": 123,
"batch_uuid": "<string>",
"customer_id": 123,
"account_id": 123,
"sale_id": 123,
"currency_id": 123,
"exchange_rate": 123,
"debit": "<string>",
"credit": "<string>",
"amount": "<string>",
"transaction_date": "2023-11-07T05:31:56Z",
"type": "<string>",
"description": "<string>",
"invoice_number": "<string>",
"is_installment": true,
"due_date": "2023-11-07T05:31:56Z",
"installment_number": 123,
"total_installments": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account": {
"id": 123,
"name": "<string>"
},
"currency": {
"id": 123,
"code": "<string>",
"symbol": "<string>",
"name": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": "<string>",
"data": {
"message": "<string>"
}
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Path Parameters
The customer identifier
Body
application/json
The type.
Available options:
sale_invoice, sale, collection, purchase_invoice, payment, opening_balance Transaction date (YYYY-MM-DD).
Monetary amount.
Required range:
x >= 0.01The currency ID.
Currency exchange rate.
Required range:
x >= 0The payment method.
Available options:
bank_account, transfer_cash, other, clinic_credit_card, credit_card, private_insurance, sgk The description.
Maximum string length:
65535Invoice number.
Maximum string length:
255Debit or credit code.
Available options:
debit, credit Account ID.
Whether this is an installment transaction.
Number of installments.
Required range:
2 <= x <= 12First installment due date (YYYY-MM-DD).
List of installments.
Minimum array length:
2Show child attributes
Show child attributes
⌘I
Create a transaction for a customer
